/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID(1:一般业务,2:测试信息,3:审批业务,999:其它数据 )
var ls_module_id='2';
//定义当前模块业务类型(YBYW:一般业务,SPGL:审批业务) 
var ls_ywlx = 'YBYW';
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载性别数据
var v_sexquery = {};
v_sexquery.FIELD_tableName = "DM_COMMON_SEX";
var v_sexquery_data = standardModel.dataAction.listAllCache(v_sexquery);
//加载民族数据
var v_nationquery = {};
v_nationquery.FIELD_tableName = "DM_COMMON_NATION";
var v_nationquery_data = standardModel.dataAction.listAllCache(v_nationquery);
//加载是否已毕业数据
var v_statusquery_data = [{CODE_ID:'0',CODE_NAME:'未毕业'},{CODE_ID:'1',CODE_NAME:'已毕业'}];
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
var ls_title="毕业测试数据管理&nbsp;&nbsp;<font color='#993300'>(1、绿色表示已毕业&nbsp;&nbsp;2、蓝色表示未毕业。)</font>";
var is_column = [ [
				{field : 'NAME',title : '姓名',width : 100,align : 'center'},
				{field : 'SEX',title : '性别',width : 80,align : 'center',
					formatter : function(value) {
						return getCodeName(v_sexquery_data.rowSet, value);
					}
				},
				{field : 'NATION',title : '民族',width : 300,align : 'center',
					formatter : function(value) {
						return getCodeName(v_nationquery_data.rowSet, value);
					}
				},
				{field : 'STATUS',title : '是否毕业',width : 100,align : 'center',
					formatter : function(value) {
						return getCodeName(v_statusquery_data, value);
					}
				},
				{field : 'CREATE_ID',title : '创建人员',width : 100,align : 'center'},
				{field : 'CREATE_TIME',title : '创建时间',width : 100,align : 'center'}
				] ];
//列表加载完成回调
function dataOnLoadSuccess(){
	$('#FIELD_STATUS').combobox({
		data : v_statusquery_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//设置颜色和每行高度
function rowstyler(index,row){
	if(row.STATUS == '1'){
		return 'color:green;height:30px;';
	}
	else{
		return 'color:blue;height:30px;';
	}
}
//展示列表
datagrid("list",ls_title,gaowj.WEB_APP_NAME + "/studentaData_list",queryData,is_column,60,80);

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>  |  <span class=\"icon-ext-file\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"uploadcommonRow('"
		+ index + "')\">附件</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 3;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("studentView_studentTabDetail",is_row,"新增",true,0.65,0.95,0,0);

}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#STATUS').combobox({
		data : v_statusquery_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#SEX').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NATION').combobox({
		data : v_nationquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'200'
	});
}
//保存
function insertData(is_entity){
	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = studentModule.studentActAction.insertStudent(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("studentView_studentTabDetail",is_row[0],"编辑",true,0.65,0.95,0,0);	
}

//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#STATUS').combobox({
		data : v_statusquery_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#SEX').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#NATION').combobox({
		data : v_nationquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'200'
	});
}
//保存
function updateData(is_entity){
	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	v_result = studentModule.studentActAction.updateStudent(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = studentModule.studentActAction.deleteStudent(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = studentModule.studentActAction.deleteStudent(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{});
	$("#studentTab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#studentTab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：10
 * 功能：高级查询弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载高级查询子页面
function advsearchRow(){
	var is_row={OPETYPE:'ww'};
	openAdvsearchRow("studentView_studentAdvsearch",is_row,"高级查询",true,0.65,0.95,0,0);

}
//加载高级查询子页面成功后的回调
function addAdvsearchCallback(is_row){
	$('#adv_STATUS').combobox({
		data : v_statusquery_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#adv_SEX').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#adv_NATION').combobox({
		data : v_nationquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'200'
	});
}
//高级查询
function advsearchData(is_entity){
	is_entity.FIELD_START_TIME = strToDateObj(is_entity.FIELD_START_TIME);
	is_entity.FIELD_END_TIME = strToDateObj(is_entity.FIELD_END_TIME);
	$('#list').datagrid('load',is_entity);
}
/****/

/**
 * 序号：11
 * 功能：处理接口附件
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function uploadcommonRow(index){

    $('#list').datagrid('selectRow',index);

	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	
	var code = is_row[0].UUID;

	var is_row={MAINDATA_ID:code,MODULE_ID:ls_module_id};
	var editUrl = "uploadFileCommonView_uploadfileCommonTab?FIELD_MODULE_ID="+ls_module_id+"&FIELD_MAINDATA_ID="+code;
	openViewIframRow("uploadcommon",editUrl,is_row,"毕业证附件",true,0.65,0.95,0,0);
}
/****/

/**
 * 序号：12
 * 功能：批量处理接口附件
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function uploadcommonBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	var is_row={MAINDATA_ID:code,MODULE_ID:ls_module_id};
	var editUrl = "uploadFileCommonView_uploadfileCommonTab?FIELD_MODULE_ID="+ls_module_id+"&FIELD_MAINDATA_ID="+code;
	openViewIframRow("uploadcommon",editUrl,is_row,"批量毕业证附件",true,0.65,0.95,0,0);
}
/****/